## org.codehaus.groovy.grails.web.multipart
Class ContentLengthAwareCommonsMultipartResolver

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsFileUploadSupport
          org.springframework.web.multipart.commons.CommonsMultipartResolver
              org.codehaus.groovy.grails.web.multipart.ContentLengthAwareCommonsMultipartResolver

All Implemented Interfaces:
  ServletContextAware, MultipartResolver

    public class ContentLengthAwareCommonsMultipartResolver

extends CommonsMultipartResolver

Safari includes the multipart packet inside an HTTP redirect without the Content-Length header. This causes CommonsMultipartResolver to blow up. We extend it here to catch this exception, printing a warning.

Since:
  1.0

  Created: Dec 7, 2007
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.web.multipart.commons.CommonsFileUploadSupport
`CommonsFileUploadSupport.MultipartParsingResult`

Field Summary
`(package private) static org.apache.commons.logging.Log` `LOG`

Fields inherited from class org.springframework.web.multipart.commons.CommonsFileUploadSupport
`logger`

Constructor Summary
`ContentLengthAwareCommonsMultipartResolver()`

Method Summary
`protected CommonsFileUploadSupport.MultipartParsingResult` `parseRequest(HttpServletRequest request)`

Methods inherited from class org.springframework.web.multipart.commons.CommonsMultipartResolver
`cleanupMultipart, determineEncoding, isMultipart, newFileUpload, resolveMultipart, setResolveLazily, setServletContext`

Methods inherited from class org.springframework.web.multipart.commons.CommonsFileUploadSupport
`cleanupFileItems, getDefaultEncoding, getFileItemFactory, getFileUpload, isUploadTempDirSpecified, newFileItemFactory, parseFileItems, prepareFileUpload, setDefaultEncoding, setMaxInMemorySize, setMaxUploadSize, setUploadTempDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final org.apache.commons.logging.Log LOG

Constructor Detail

### ContentLengthAwareCommonsMultipartResolver

    public ContentLengthAwareCommonsMultipartResolver()

Method Detail

### parseRequest

    protected CommonsFileUploadSupport.MultipartParsingResult parseRequest(HttpServletRequest request)
                                                                    throws MultipartException

  Overrides:
    `parseRequest` in class `CommonsMultipartResolver`
  Throws:
    `MultipartException`

Copyright (c) 2005-2009 The Grails project